customers
Update customer profile
Updates the authenticated customer’s profile (e.g. the linked
fluid_pay_account). Requires a customer bearer token. Returns 401 when
unauthenticated and 422 on validation failure.
PATCH
/
api
/
checkout
/
v2026-04
/
customers
/
me
Update customer profile
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fluid_pay_account": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"language_iso": "<string>"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me"
payload = { "fluid_pay_account": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"language_iso": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fluid_pay_account: {
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
language_iso: '<string>'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fluid_pay_account": {
"created_at": "2023-11-07T05:31:56Z",
"default_address": null,
"default_payment_method": null,
"email": "<string>",
"first_name": "<string>",
"id": 123,
"language": null,
"last_name": "<string>",
"phone": "<string>",
"settings": {},
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Update customer profile
